import AppLoginActions from '../actions/app-user-actions.js'
import BaseActions from '../actions/base-actions.js'
import Routing from '../pages/routing.js'
if (!global.singleLoginSuiteName) { global.singleLoginSuiteName = ""};

describe(`01.1.Login - Login ${singleLoginSuiteName} `, async() => {

  it('should redirect to ECAS login and log in', async() => {
    browser.addTestMeta({uuid:"b46785b6-de98-11ed-b5ea-0242ac120002", zephyrKey: "xxxx-yy", zephyrStep: "", reportGroups: ["CC"],
    testedSystems:["EU LOGIN", "API GATEWAY"]});
    await AppLoginActions.appLogIn(browser.config.testUsers[0]);
  }, 3);
  it('should logout', async() => {
    browser.addTestMeta({zephyrStep: ""});
    await AppLoginActions.appLogOut();
  });
  it('network log', async () => {
    browser.logPuppeteerNetwork();
  });
})
